package cn.superdesk.uniorder.dubbo.facade.sys.role;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.role.SysRoleExtDataSample;
import cn.superdesk.uniorder.dto.dubbo.sys.role.SysRoleExtDataSampleParam;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 角色定义-扩展-数据权限主体描述-只能是单个项目或是项目下的企业
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2020-08-26 14:15:28
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020-08-26 14:15:28
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboSysRoleExtDataSampleService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(SysRoleExtDataSampleParam param);

	@Deprecated
	void updateObj(SysRoleExtDataSampleParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysRoleExtDataSample findById(Long id);

	@Deprecated
	PageInfo<SysRoleExtDataSample> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysRoleExtDataSample> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addSysRoleExtDataSample(SysRoleExtDataSampleParam param);

	void updateSysRoleExtDataSample(SysRoleExtDataSampleParam param);

	void deleteSysRoleExtDataSample(Long id);

	SysRoleExtDataSample findSysRoleExtDataSampleById(Long id);

	R<List<SysRoleExtDataSample>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);
}
